import React from 'react';
const Step = ({
  step,
  index,
  currentStep
}) => {
  const isActif = currentStep === index;
  const icon = isActif ? 'mode_edit' : currentStep > index ? 'check' : 'warning';
  return /*#__PURE__*/React.createElement("span", {
    className: `step ${isActif ? 'actif' : ''} ${currentStep > index ? 'passed' : ''}`
  }, /*#__PURE__*/React.createElement("span", {
    className: "step-label"
  }, step), /*#__PURE__*/React.createElement("div", {
    className: "circle-container"
  }, /*#__PURE__*/React.createElement("span", {
    className: "circle"
  }, /*#__PURE__*/React.createElement("i", {
    className: "material-icons"
  }, icon))));
};
export default Step;